Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_LayoutManager

Layout components.
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_LayoutManager` | `()`;
``virtual`` | `~CL_LayoutManager` | `()`;

### Operations:

``void`` | `add_resize_position` | `(`CL_Component`* `destination`, `ELayoutPosition` `destination_position`, `CL_Component`* `source`, `ELayoutPosition` `source_position`)`;

## Description:

## Function Member Descriptions:

CL_LayoutManager::CL_LayoutManager - Layout Manager Constructor
`` `CL_LayoutManager` `()`;

CL_LayoutManager::~CL_LayoutManager - Layout Manager Destructor
``virtual`` `~CL_LayoutManager` `()`;

## Variable Member Descriptions: